/*-
 * ============LICENSE_START=======================================================
 * SDC
 * ================================================================================
 * Copyright (C) 2019 AT&T Intellectual Property. All rights reserved.
 * ================================================================================
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ============LICENSE_END=========================================================
 */

package org.openecomp.sdc.asdctool.impl;

import static org.junit.jupiter.api.Assertions.assertNotNull;
import static org.junit.jupiter.api.Assertions.assertNull;
import static org.junit.jupiter.api.Assertions.assertTrue;
import static org.openecomp.sdc.asdctool.impl.GraphMLDataAnalyzer.EXCEL_EXTENSION;
import static org.openecomp.sdc.asdctool.impl.GraphMLDataAnalyzer.GRAPH_ML_EXTENSION;

import org.junit.jupiter.api.Test;

class GraphMLDataAnalyzerTest {

    private static final String FILE_NAME = "export";

    @Test
    void testAnalyzeGraphMLDataNoFile() {
        final String[] args = new String[]{"noExistFile"};

        // default test
        final GraphMLDataAnalyzer graph = new GraphMLDataAnalyzer();
        final String result = graph.analyzeGraphMLData(args);

        assertNull(result);
    }

    @Test
    void testAnalyzeGraphMLData() {
        final String path = getClass().getClassLoader().getResource(FILE_NAME + GRAPH_ML_EXTENSION).getPath();
        final String[] args = new String[]{path};

        // default test
        final GraphMLDataAnalyzer graph = new GraphMLDataAnalyzer();
        final String result = graph.analyzeGraphMLData(args);

        assertNotNull(result);
        assertTrue(result.endsWith(EXCEL_EXTENSION));
    }
}
